メインコンテンツへスキップ
POST
/
cms
/
v3
/
hubdb
/
tables
/
{tableIdOrName}
/
rows
/
{rowId}
/
draft
/
clone
Clone a row
curl --request POST \
  --url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/{rowId}/draft/clone \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/{rowId}/draft/clone"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/{rowId}/draft/clone', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "childTableId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "path": "<string>",
  "publishedAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "values": {}
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

rowId
string
必須
Pattern: \d+
tableIdOrName
string
必須

クエリパラメータ

name
string

レスポンス

successful operation

childTableId
string
必須

Specifies the value for the column child table id

createdAt
string<date-time>
必須

Timestamp at which the row is created

id
string
必須

The id of the table row

name
string
必須

Specifies the value for hs_name column, which will be used as title in the dynamic pages

path
string
必須

Specifies the value for hs_path column, which will be used as slug in the dynamic pages

publishedAt
string<date-time>
必須

The timestamp indicating when the row was last published, in date-time format.

updatedAt
string<date-time>
必須

Timestamp at which the row is updated last time

values
object
必須

List of key value pairs with the column name and column value

最終更新日 2026年4月10日